Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78387 - Segfault in make xconfig
Summary: Segfault in make xconfig
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-22 01:50 UTC by Dee-Ann LeBlanc
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-02 20:43:33 UTC


Attachments (Terms of Use)

Description Dee-Ann LeBlanc 2002-11-22 01:50:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
With linux-2.4.19-0.pp.15, when I type "make xconfig" I get the results pasted
into Additional Information.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
first su to root
in /usr/src/linux-version:

1. make oldconfig
2. make xconfig
3.
	

Actual Results:  output shown in Additional Information

Expected Results:  should have compiled and produced the xconfig kernel
configuration dialog.

Additional info:

rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Entering directory `/usr/src/linux-2.4.19-0.pp.15/scripts'
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o tkparse.o
tkparse.ccc1: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[1]: *** [tkparse.o] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.19-0.pp.15/scripts'
make: *** [xconfig] Error 2

Comment 1 Dee-Ann LeBlanc 2002-11-22 07:22:40 UTC
When I try make menuconfig, it tells me I need the ncurses libraries, but I've
already got ncurses-devel-5-2-28 and even ncurses-c++-devel-5.2.28 installed.
I'm not sure if this should be a separate bug or not, but in case it's all
linked I'm putting it here.

Comment 2 Chris Ricker 2002-12-17 04:28:26 UTC
I'm not seeing this on beta2. make {old,x,menu,}config all work for me on an athlon

kernel-source-2.4.20-0.pp.3

Comment 3 Jakub Jelinek 2003-02-19 16:22:00 UTC
If the bug is reproduceable, please attach tkparse.i (see -save-temps gcc option)
which you can reproduce it on. Otherwise it is likely a hardware problem.

Comment 4 Jakub Jelinek 2004-10-02 20:43:33 UTC
No feedback, closing.


Note You need to log in before you can comment on or make changes to this bug.